@echo off

REM.-- Prepare the Command Processor --
SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION

REM.-- Version History
SET version=13.0-beta &:20130527 knackko.   version initiale
SET version=13.0-0 &:20130728 knackko.   version initiale

REM !! For a new version entry, copy the last entry down and modify Date, Author and Description
SET version=%version: =%

REM.-- Set the title
SET title=%~nx0 - version %version%
TITLE %title%

SET rsync_options= -ca
SET menu_space=                  
SET logfile=../rFactor-ODSsync.log

cd ODSsync

mode con lines=35
color 0B
echo.
echo.
type sync_logo.txt
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo         Chargement...
echo.
echo.
echo                ...en cours ! 
echo.
echo.
echo.
type sync_wait.txt
rsync.exe %rsync_options% --log-file=%logfile% rsync://87.118.106.245:/2013/ODSsync/ . || goto error
sync_prog.bat

:error

set code=%errorlevel%
if "%code%"=="10" SET msg2=(%code%) connexion impossible au serveur

cls
color 0C
set msg1=Probleme lors de la synchronisation, 
set msg3=Si le probleme persiste, creez un ticket sur le support du forum 
set msg4=old-drivers-spirit.fr et joignez au ticket le fichier %logfile%
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.================================================================================
echo.
echo   %msg1%
echo   %msg2%
echo.
echo   %msg3%
echo   %msg4%
echo.
echo.================================================================================
echo.
echo.
type sync_error.txt
echo.
echo.
echo.
echo.
echo.
echo %msg2% > %logfile%
pause
cls
goto :EOF